<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="c6746e33-b1c2-467d-a8ad-08b975db4cfc" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/simbirsoft.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/simsoft.html" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/AppMain.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/AppMain.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/entity/Word.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/entity/Word.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/HTMLParser.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/HTMLParser.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/PageDownloader.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/PageDownloader.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/util/UrlValidatorUtil.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/fursa/webparse/util/UrlValidatorUtil.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/test/ApplicationTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/test/ApplicationTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/META-INF/simsoft.kotlin_module" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/DBCrud.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/DBCrud.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/DBProperties.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/DBProperties.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/PsgConnection.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/PsgConnection.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/entity/Word.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/fursa/webparse/db/entity/Word.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/fursa/webparse/parser/HTMLParser.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/fursa/webparse/parser/HTMLParser.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/fursa/webparse/parser/PageDownloader.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/fursa/webparse/parser/PageDownloader.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/vk.html" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/вк.html" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/вконтач.html" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/PageDownloader.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="313">
              <caret line="43" column="37" selection-start-line="43" selection-start-column="37" selection-end-line="43" selection-end-column="37" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/AppMain.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="169">
              <caret line="17" selection-start-line="17" selection-end-line="17" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="405">
              <caret line="27" selection-start-line="27" selection-end-line="27" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/util/UrlValidatorUtil.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="8" selection-start-line="8" selection-end-line="8" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/test/ApplicationTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="5" column="34" selection-start-line="5" selection-start-column="34" selection-end-line="5" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/HTMLParser.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="85">
              <caret line="54" column="46" selection-start-line="54" selection-start-column="46" selection-end-line="54" selection-end-column="46" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/entity/Word.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="150">
              <caret line="10" selection-start-line="10" selection-end-line="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/PsgConnection.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="345">
              <caret line="28" column="9" selection-start-line="28" selection-start-column="9" selection-end-line="28" selection-end-column="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/DBProperties.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="9" column="4" selection-start-line="9" selection-start-column="4" selection-end-line="11" selection-end-column="71" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/resources/app.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="15">
              <caret line="1" column="15" selection-start-line="1" selection-start-column="15" selection-end-line="1" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/PageDownloader.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/HTMLParser.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/utils/StrUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/Word.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/WordRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/WordServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/WordService.java" />
        <option value="$PROJECT_DIR$/src/main/resources/app.properties" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/DBProperties.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/util/URLUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/PsgConnection.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/DBCrud.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/HTMLParser.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/PageDownloader.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/AppMain.java" />
        <option value="$PROJECT_DIR$/src/main/test/ApplicationTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/util/UrlValidatorUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/entity/Word.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="simsoft" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="292" />
    <option name="y" value="54" />
    <option name="width" value="1380" />
    <option name="height" value="1000" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="simbirsoft" type="b2602c69:ProjectViewProjectNode" />
              <item name="simbirsoft" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="simbirsoft" type="b2602c69:ProjectViewProjectNode" />
              <item name="simbirsoft" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="simbirsoft" type="b2602c69:ProjectViewProjectNode" />
              <item name="simbirsoft" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="simbirsoft" type="b2602c69:ProjectViewProjectNode" />
              <item name="simbirsoft" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="Course" />
      <pane id="PackagesPane">
        <subPane>
          <expand>
            <path>
              <item name="simsoft" type="58d84e3e:PackageViewProjectNode" />
              <item name="simsoft" type="616d4139:PackageViewModuleNode" />
            </path>
            <path>
              <item name="simsoft" type="58d84e3e:PackageViewProjectNode" />
              <item name="simsoft" type="616d4139:PackageViewModuleNode" />
              <item name="com.fursa.webparse" type="1f31426a:PackageElementNode" />
            </path>
            <path>
              <item name="simsoft" type="58d84e3e:PackageViewProjectNode" />
              <item name="simsoft" type="616d4139:PackageViewModuleNode" />
              <item name="com.fursa.webparse" type="1f31426a:PackageElementNode" />
              <item name="db" type="1f31426a:PackageElementNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1555449878885" />
    <property name="last.edited.regexp" value="Sample Text" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.AppMain">
    <configuration name="AppMain" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="ALTERNATIVE_JRE_PATH" value="1.8" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="true" />
      <option name="MAIN_CLASS_NAME" value="com.fursa.webparse.AppMain" />
      <module name="simbirsoft" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.fursa.webparse.parser.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ApplicationTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="simbirsoft" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ApplicationTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ApplicationTest.saveToDatabase" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="simsoft" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ApplicationTest" />
      <option name="METHOD_NAME" value="saveToDatabase" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ApplicationTest.testWebsiteTitle" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="simsoft" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ApplicationTest" />
      <option name="METHOD_NAME" value="testWebsiteTitle" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="null" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="PARAMETERS" value="" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.AppMain" />
        <item itemvalue="JUnit.ApplicationTest" />
        <item itemvalue="JUnit.null" />
        <item itemvalue="JUnit.ApplicationTest.testWebsiteTitle" />
        <item itemvalue="JUnit.ApplicationTest.saveToDatabase" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="c6746e33-b1c2-467d-a8ad-08b975db4cfc" name="Default Changelist" comment="" />
      <created>1554891223816</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1554891223816</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ApplicationTest - 2019.04.16 at 23h 47m 33s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.16 at 23h 47m 59s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.16 at 23h 48m 54s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.16 at 23h 54m 26s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest_testWebsiteTitle - 2019.04.16 at 23h 56m 51s.xml">
      <configuration name="ApplicationTest.testWebsiteTitle" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.16 at 23h 57m 27s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.16 at 23h 57m 41s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.17 at 01h 09m 22s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ApplicationTest - 2019.04.17 at 01h 23m 21s.xml">
      <configuration name="ApplicationTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="null - 2019.04.17 at 01h 23m 36s.xml">
      <configuration name="null" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="67" y="25" width="1853" height="1055" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.18096292" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="DB Browser" order="7" weight="0.32982844" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32937366" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.8099352" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.9535637" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Educational.CheckDetails" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.73326135" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="10" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32937366" />
      <window_info anchor="bottom" id="DB Execution Console" order="12" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" weight="0.32982844" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/webpage.txt" />
    <entry file="file://$PROJECT_DIR$/www.google.com.txt" />
    <entry file="file://$PROJECT_DIR$/ok.ru.txt" />
    <entry file="file://$PROJECT_DIR$/vk.com.txt" />
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/java/lang/System.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="109" column="36" selection-start-line="109" selection-start-column="36" selection-end-line="109" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/okru.txt" />
    <entry file="file://$PROJECT_DIR$/simsoft.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/java/lang/String.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="2866" column="18" selection-start-line="2866" selection-start-column="18" selection-end-line="2866" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/java/util/Collections.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="254">
          <caret line="5265" column="22" selection-start-line="5265" selection-start-column="22" selection-end-line="5265" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/out.txt" />
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/java/net/SocksSocketImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="391" selection-start-line="391" selection-end-line="391" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/jsoup/jsoup/1.11.3/jsoup-1.11.3.jar!/org/jsoup/nodes/Element.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10399">
          <caret line="756" column="28" selection-start-line="756" selection-start-column="28" selection-end-line="756" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/out.html.txt" />
    <entry file="file://$PROJECT_DIR$/out.html" />
    <entry file="file://$PROJECT_DIR$/facebook.com.html" />
    <entry file="jar:///usr/lib/jvm/java-8-oracle/src.zip!/java/util/StringTokenizer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1949">
          <caret line="219" column="11" selection-start-line="219" selection-start-column="11" selection-end-line="219" selection-end-column="11" />
          <folding>
            <element signature="e#7376#7377#0" expanded="true" />
            <element signature="e#7415#7416#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/utils/StrUtils.java" />
    <entry file="db://96dab60f-6480-421b-bbe5-654e38be61c8/consoles/Connection">
      <provider selected="true" editor-type-id="0.CONSOLE">
        <state line="0" column="0" selection-start="0" selection-end="0" vertical-scroll-proportion="0.0">
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/WordRepository.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/WordService.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/WordServiceImpl.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/Word.java" />
    <entry file="file://$PROJECT_DIR$/github.com.html" />
    <entry file="file://$PROJECT_DIR$/ok.ru.html" />
    <entry file="file://$PROJECT_DIR$/vk.com.html" />
    <entry file="file://$PROJECT_DIR$/vk.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1720" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/DBCrud.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/PsgConnection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="28" column="9" selection-start-line="28" selection-start-column="9" selection-end-line="28" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/DBProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="9" column="4" selection-start-line="9" selection-start-column="4" selection-end-line="11" selection-end-column="71" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/app.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="15" selection-start-line="1" selection-start-column="15" selection-end-line="1" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/HTMLParser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="54" column="46" selection-start-line="54" selection-start-column="46" selection-end-line="54" selection-end-column="46" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/parser/PageDownloader.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="313">
          <caret line="43" column="37" selection-start-line="43" selection-start-column="37" selection-end-line="43" selection-end-column="37" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="405">
          <caret line="27" selection-start-line="27" selection-end-line="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/AppMain.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/test/ApplicationTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="34" selection-start-line="5" selection-start-column="34" selection-end-line="5" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/util/UrlValidatorUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/fursa/webparse/db/entity/Word.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>simbirsoft</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: org.jsoup:jsoup:1.11.3</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>